Vous êtes nouveau sur Developpez.com ? Créez votre compte ou connectez-vous afin de pouvoir participer !

Vous devez avoir un compte Developpez.com et être connecté pour pouvoir participer aux discussions.

Vous n'avez pas encore de compte Developpez.com ? Créez-en un en quelques instants, c'est entièrement gratuit !

Si vous disposez déjà d'un compte et qu'il est bien activé, connectez-vous à l'aide du formulaire ci-dessous.

Identifiez-vous
Identifiant
Mot de passe
Mot de passe oublié ?
Créer un compte

L'inscription est gratuite et ne vous prendra que quelques instants !

Je m'inscris !

Sortie de Qt 5.12.1
Cette version corrige pas moins de trois cents défauts de Qt 5.12

Le , par dourouc05

77PARTAGES

10  0 
Deux mois après la sortie de Qt 5.12, voici venue la première version corrective. Celle-ci apporte pas moins de trois cents corrections de défauts. Qt 5.12 bénéficiera encore pendant trois ans de mises à jour correctives, étant donné qu’il s’agit d’une version avec un support à long terme. (Qt 5.6 est aussi une telle version, mais son support expire en mars prochain.)

Voir aussi : la liste complète des changements.

Une erreur dans cette actualité ? Signalez-le nous !

Avatar de Matthieu76
Membre éclairé https://www.developpez.com
Le 17/04/2019 à 10:41
Perso, je suis passé récemment à Qt 5.12.2 et Visual Studio 2019 et je n'arrive plus à build mon projet en mode release alors que cela fonctionne en mode debug pourtant j'ai cherché pendant plusieurs heures mais rien... aucun élément de réponse. J'ai l'impression que cela viens soit de QtCharts que je viens d'implémenter ou alors des dll du build msvc2017 mais même en recompilant sous Visual Studio 2017 cela ne fonctionne plus.
0  0 
Avatar de aureyoboss
Membre à l'essai https://www.developpez.com
Le 17/06/2019 à 20:25
Bonjour,

Donc en version 5.12.3, pour que l'OpenSSL fonctionne (compilation pour Windows), il fallait ajouter les fichiers dans la racine du projet x32 :
- libeay32.dll ;
- ssleay32.dll ;
- openssl.exe.

Avec la nouvelles version 5.12.4, est-ce bien ces fichiers qu'il faut à la place des anciens ?
- libcrypto-1_1.dll ;
- libssl-1_1.dll ;
- openssl.exe.

Merci.
Bonne soirée.
0  0 
Avatar de dourouc05
Responsable Qt & Livres https://www.developpez.com
Le 18/06/2019 à 16:22
A priori, ces deux DLL devraient suffire (je ne vois pas pourquoi Qt aurait besoin du fichier exécutable).
0  0